package com.company.jmix.test.screen.alert;

import io.jmix.ui.ScreenBuilders;
import io.jmix.ui.action.Action;
import io.jmix.ui.component.GroupTable;
import io.jmix.ui.screen.*;
import com.company.jmix.test.entity.Alert;
import org.springframework.beans.factory.annotation.Autowired;

@UiController("jt_Alert.browse")
@UiDescriptor("alert-browse.xml")
@LookupComponent("alertsTable")
public class AlertBrowse extends StandardLookup<Alert> {
    @Autowired
    private ScreenBuilders screenBuilders;
    @Autowired
    private GroupTable<Alert> alertsTable;

    @Subscribe("alertsTable.create")
    public void onAlertsTableCreate(final Action.ActionPerformedEvent event) {
        screenBuilders.editor(alertsTable)
                .withScreenClass(AlertCreate.class)
                .newEntity()
                .show();
    }
}